Package net.sf.saxon.trans.packages

## Class PackageDetails

- java.lang.Object
- - net.sf.saxon.trans.packages.PackageDetails

-     public class PackageDetails
      extends java.lang.Object

  Information about a package held in a package library; the package may or may not be loaded in memory

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `java.lang.String` | `baseName` | The original package name, as defined by the `@base` attribute in the configuration file.
    `java.lang.Thread` | `beingProcessed` | During processing (compilation) of a package, the `beingProcessed` field indicates the thread in which this processing is taking place; at other times, the field is null.
    `javax.xml.transform.Source` | `exportLocation` | A Source object identifying a location where the compiled SEF code of the package is to be found.
    `StylesheetPackage` | `loadedPackage` | The executable form of the compiled package
    `VersionedPackageName` | `nameAndVersion` | The name and version number of the package
    `java.lang.Integer` | `priority` | The priority of this version of a package relative to other versions of the same package.
    `java.lang.String` | `shortName` | A short name for the package.
    `javax.xml.transform.Source` | `sourceLocation` | A Source object identifying a location where the source XSLT code of the package is to be found.
    `java.util.Map<StructuredQName,​GroundedValue>` | `staticParams` | The values of static stylesheet parameters for this package instance.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PackageDetails()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### nameAndVersion

          public VersionedPackageName nameAndVersion

      The name and version number of the package

    - #### baseName

          public java.lang.String baseName

      The original package name, as defined by the `@base` attribute in the configuration file.

      Required only if the package name defined in the name attribute differs from the package name in the XSLT source. If present, the value must match the package name defined in the XSLT source. Using this attribute allows packages to be renamed. This is useful when a package has static parameters whose values are bound in child withParam elements: it allows two instances of a package to be made available (under different names) with different bindings for the static parameters.

    - #### shortName

          public java.lang.String shortName

      A short name for the package. Useful when nominating the package as the value of the -xsl option on the command line.

      Any convenient short name for the package name/version combination. This can be used for convenience as the value of the -xsl option on the Transform command line. (We suggest using a value that is unlikely to be confused with a filename, for example * if the same stylesheet package is used all the time.)

    - #### loadedPackage

          public StylesheetPackage loadedPackage

      The executable form of the compiled package

    - #### sourceLocation

          public javax.xml.transform.Source sourceLocation

      A Source object identifying a location where the source XSLT code of the package is to be found. Note that in general a Source is consumed by use (so it can only be read once); the sourceLocation is therefore typically useless once a loadedPackage exists.

    - #### exportLocation

          public javax.xml.transform.Source exportLocation

      A Source object identifying a location where the compiled SEF code of the package is to be found. Note that in general a Source is consumed by use (so it can only be read once); the exportLocation is therefore typically useless once a loadedPackage exists.

    - #### priority

          public java.lang.Integer priority

      The priority of this version of a package relative to other versions of the same package. By default (if two versions have the same priority), the higher version is used. This attribute allows (for example) version 2.0.10 to be marked as the preferred release even if a version 3.0-beta is available, by giving the two versions different priority. A numerically higher value indicates a higher priority.

    - #### staticParams

          public java.util.Map<StructuredQName,​GroundedValue> staticParams

      The values of static stylesheet parameters for this package instance. In a function library, two instances of the same package may exist with different settings for stylesheet parameters, but they must then be given an alias package name. The nameAndVersion contains this alias; the baseName contains the original name as defined in the XSLT source code.

    - #### beingProcessed

          public java.lang.Thread beingProcessed

      During processing (compilation) of a package, the `beingProcessed` field indicates the thread in which this processing is taking place; at other times, the field is null. This field is used when checking for cycles of package dependencies.

  - ### Constructor Detail

    - #### PackageDetails

          public PackageDetails()